probe::irq_handler.exit
Prev | Chapter 12. Interrupt Request (IRQ) Tapset | Next

## Name

probe::irq_handler.exit — Execution of interrupt handler completed

## Synopsis

    irq_handler.exit

## Values

`dir`

  pointer to the proc/irq/NN/name entry

`thread`

  thread pointer for threaded interrupts

`flags_str`

  symbolic string representation of IRQ flags

`dev_id`

  Cookie to identify device

`handler`

  interrupt handler function that was executed

`flags`

  flags for IRQ handler

`ret`

  return value of the handler

`irq`

  interrupt number

`thread_fn`

  interrupt handler function for threaded interrupts

`next_irqaction`

  pointer to next irqaction for shared interrupts

`dev_name`

  name of device

`action`

  struct irqaction*

`thread_flags`

  Flags related to thread

Prev | Up | Next
probe::irq_handler.entry | Home | probe::softirq.entry